Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.ipulse.one/v2/devices \ --header 'Authorization: Bearer <token>'
import requests url = "https://api.ipulse.one/v2/devices" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.ipulse.one/v2/devices', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.ipulse.one/v2/devices", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
{ "success": true, "message": "<string>", "data": [ { "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "hostname": "<string>", "status": "online", "os": "<string>", "last_seen": "2023-11-07T05:31:56Z", "metrics": { "cpu_usage": 123, "memory_usage": 123, "disk_usage": 123 }, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" } ] }
{ "success": false, "message": "Unauthenticated." }
{ "success": false, "message": "This feature requires an Expert Plan subscription." }
Retrieve a list of all devices for the authenticated user (Expert Plan required)
API token generated from your PulseGuard dashboard
Page number for pagination
Number of items per page
x <= 100
Devices retrieved successfully
true
Success message
Response data as array
Show child attributes